alter procedure sistema.sp_guardarIngreso
@numId int,
@txtIdSesion nvarchar(300),
@txtJWT text,
@txtIpOrdenador varchar(25),
@dbResponse varchar(300) output,
@dbIdIngreso int output,
@dbUltimaSesion varchar(300) output
as
begin
	set nocount on;
	begin tran guardarIngreso
	begin try
		select top(1) @dbUltimaSesion = sesionActual from sistema.datos_usuarios where id = @numId;
		insert into sistema.logs_ingresos(idUsuario,sesion,ipOrdenador,jwt) values(@numId,@txtIdSesion,@txtIpOrdenador,@txtJWT);
		update sistema.datos_usuarios set sesionActual = @txtIdSesion,intentosRestantes = 5,primerIngreso = 0,cambioContrasenia = 0 where id = @numId;
		select @dbIdIngreso = SCOPE_IDENTITY();
		update sistema.datos_restablecimientosContrasenia set estado = 0 where id = 1 and idUsuario = @numId and fechaUso is null;
		set @dbResponse = 'success';
		commit tran guardarIngreso
	end try
	begin catch
		SET @dbResponse = 'Ocurrió el siguiente error: '+ERROR_MESSAGE()+', en la línea '+ CONVERT ( NVARCHAR ( 255 ), ERROR_LINE( ) );
		rollback tran guardarIngreso
	end catch
end